Subject: RE: bug#8911: bs-cycle-next deletes window in some cases.

From: "Drew Adams" <[email-masked]>
Date: Tue, 21 Jun 2011 10:15:24 -0700

> > I don't follow: why do you think it's a trouble?  To me it's exactly
> > what I want.  Is it that you prefer it deletes the frame rather than
> > iconify it?
> 
> No, certainly no.
> 
> >> still iconifies the frame.
> > What else would you want it to do?
> 
> Nothing, other than a message to the user "Attempt to bury buffer in
> dedicated window", or something more friendly but equivalent.
> 
>  "burying a buffer" /= "iconifying a frame". The fact that the window
> is dedicated does not turn that difference suddenly into an equality.
> 
> Please note a difference between your use of Emacs and mine: I *never*
> use multiple frames.

FWIW, I typically use multiple frames, and typically with a single buffer each.
Most of my frames are not dedicated, but a few are.

Nevertheless, I agree with Juanma here.  For my purposes, iconification would
always be wrong as part of the behavior of `bury-buffer'.

IIUC, Stefan also uses frames a lot, but he typically (always?) uses
(soft-)dedicated windows.  And he uses a different OS from me, so iconification
might be less annoying for him.

I would like `bury-buffer' to be decoupled from iconification.  I would like
`bury-buffer' to do nothing particular wrt dedicated windows.

Another caveat: I know little about soft-dedication.  Perhaps that makes a
difference to understanding this issue.